package com.house365;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.stereotype.Controller;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2016/11/29</p>
 *
 * @author XN
 * @version 1.0
 */
@Controller
@SpringBootApplication
@EnableScheduling
@EnableDiscoveryClient
@EnableWebMvc
@EnableFeignClients
//@EnableCaching
public class WebApplication extends WebMvcConfigurerAdapter {

    public static void main(String[] args) {
        SpringApplication.run(WebApplication.class, args);

    }

}
