package com.house365.service.impl;

import com.house365.beans.vo.Company;
import com.house365.common.searchBeans.CommonSearchResponse;
import com.house365.common.searchBeans.QueryParams;
import com.house365.service.interfaces.CompanyClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2017/1/9</p>
 *
 * @author XN
 * @version 1.0
 */
@Component
public class CompanyClientHystrix implements CompanyClient {

    @Override
    public Company selectByPrimaryKey(@PathVariable("id") Integer id) {
        return new Company();
    }

    @Override
    public CommonSearchResponse<Company> list(
        @RequestBody QueryParams queryParams
    ) {
        return new CommonSearchResponse<>();
    }
}
